I'l try it and isn't work.
Look, I have the next code
require 'sketchup'
Sketchup.send_action "showRubyPanel;"
def main1()
model = Sketchup.active_model
$entities = model.active_entities
$selection = model.selection
floor = []
pts = []
pts[0] = [0, 0, 0]
pts[1] = [100, 0, 0]
pts[2] = [100, 100, 0]
pts[3] = [0, 100, 0]
face = $entities.add_face pts
floor.push(face)
pts1 = []
pts1[0] = [25, 25, 0]
pts1[1] = [75, 25, 0]
pts1[2] = [75, 75, 0]
pts1[3] = [25, 75, 0]
face1 = $entities.add_face pts1
edgesFloor = floor[0].edges
status = $selection.add edgesFloor
end
UI.menu("PlugIns").add_item("Make house Copy") {main1}
I want to view in blue(selected) the edges of the firt square ONLY. But the two squares are selected and i don't know the reason because I only do faces.push() on the first square.
Any solution??
Thanks,